package MakeWorld::Mogrify::RmTree;

use strict;
use warnings;

use File::Path qw[ rmtree ];

use MakeWorld::Global;
use MakeWorld::Check qw[ check %BOOLEAN ];
use MakeWorld::Run;
use MakeWorld::Log;

################################################################################
# execute a command

sub verify {

    my ( $class, $opts, $need_hook ) = @_;

    return check( {
		   arg => { required => 1 },
		   hook => { required => $need_hook },
		  }, $opts
		);
}


sub mogrify
{
    my ( $class, $pkg, $opts ) = @_;

    msgp( "<rmtree>", MakeWorld::Log::Info, $opts->{arg} );

    my $errors;
    rmtree( @{ $opts->{dir} }, { error => \$errors } );

    die( "<rmtree>:\n", map { @_ = %$_; "$_->[0]: $_->[1]\n" } @$errors )
      if @$errors;

    return;
}

1;
